Bug 965497 - SY quickstart transform-xslt JBDS warnings/errors
SY quickstart transform-xslt JBDS warnings/errors
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Examples, SwitchYard (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: ---
Assigned To: Brian Fitzpatrick
ppecka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 06:08 EDT by ppecka
Modified: 2014-06-16 19:52 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
You will see warning messages in JBDS "Problems" View after you import a transform-xslt quick start as a maven project.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1653 Major Closed SY quickstart transform-xslt JBDS warnings/errors 2014-06-16 19:51:10 EDT
JBoss Issue Tracker SWITCHYARD-1654 Major Closed SY Editor validator erroneously reports errors for missing transformers 2014-06-16 19:51:59 EDT

  None (edit)
Description ppecka 2013-05-21 06:08:19 EDT
Description of problem:
Warnings/Errors found in JBDS "Problems" View, right after quickstart is imported as maven project.

steps to reproduce:
1. Start JBDS
2. import existing maven project
3. Window / Show View / Problems
4. check for errors

Actual results:
Required transformation missing: from="java:java.lang.String" to="{urn:switchyard-quickstart:transform-xslt:1.0}orderAck".  switchyard.xml  /switchyard-quickstart-transform-xslt/src/main/resources/META-INF   Unknown SwitchYard

Required transformation missing: from="{urn:switchyard-quickstart:transform-xslt:1.0}order" to="java:java.lang.String". switchyard.xml  /switchyard-quickstart-transform-xslt/src/main/resources/META-INF   Unknown SwitchYard

Unused Capability: The "Camel Route" capability is configured on the project, but is not required by any SwitchYard binding or implementation types used in the project.    switchyard.xml  /switchyard-quickstart-transform-xslt/src/main/resources/META-INF   Unknown SwitchYard


Expected results:
no warnings/errors

Additional info:
Comment 1 JBoss JIRA Server 2013-08-16 14:18:42 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1653

Like with SWITCHYARD-1652, the transformer errors reported were from a separate issue with the validator in the tooling. Will record separate JIRA for it.
Comment 2 JBoss JIRA Server 2013-08-16 14:29:32 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1653

Patch fixes unnecessary component error in pom
Comment 3 JBoss JIRA Server 2013-08-19 12:22:20 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1653

PR fixes warning. PR for SWITCHYARD-1654 will resolve transformer errors.
Comment 4 JBoss JIRA Server 2013-08-23 14:30:09 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1654

pushed
Comment 5 JBoss JIRA Server 2013-08-27 10:10:10 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1653

pushed
Comment 9 ppecka 2013-12-17 20:13:37 EST
still seeing errors:
JBoss Red Hat JBoss Fuse Service Works 6.0.0.ER7-redhat-1

Description	Resource	Path	Location	Type

Required transformation missing: from="java:java.lang.String" to="{urn:switchyard-quickstart:transform-xslt:1.0}orderAck".	switchyard.xml	/switchyard-quickstart-transform-xslt/src/main/resources/META-INF	Unknown	SwitchYard

Required transformation missing: from="{urn:switchyard-quickstart:transform-xslt:1.0}order" to="java:java.lang.String".	switchyard.xml	/switchyard-quickstart-transform-xslt/src/main/resources/META-INF	Unknown	SwitchYard
Comment 10 Keith Babo 2013-12-17 20:25:52 EST
I just tried this locally with ER7-2 and it imports with no warnings or errors.  Keep in mind that if the project can't compile, then the generated config is never generated. So I would double-check to make sure that the config in your project includes the ER7-2 repo.  Make sure Project->Build Automatically is enabled as well.
Comment 11 Andrej Podhradsky 2013-12-18 04:49:23 EST
Verified with FSW 6.0.0.ER7-2 and JBDS-IS 7.0.0.CR1
Comment 12 JBoss JIRA Server 2014-06-16 19:51:10 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1653 to Closed
Comment 13 JBoss JIRA Server 2014-06-16 19:52:01 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1654 to Closed

Note You need to log in before you can comment on or make changes to this bug.